"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageManagers = exports.EMIT_APPENDER_EVENT_NAME = exports.LoggerConfigData = exports.LoggerLevel = exports.DeviceConnectionType = exports.LoggerAppenders = exports.IOSNativeTargetTypes = exports.IOSNativeTargetProductTypes = exports.IOSDeviceTargets = exports.RunOnDeviceEvents = exports.AndroidAppBundleMessages = exports.AndroidBundleValidatorMessages = exports.BundleValidatorMessages = exports.IosProjectConstants = exports.PODFILE_NAME = exports.PLUGINS_BUILD_DATA_FILENAME = exports.PLUGIN_BUILD_DATA_FILENAME = exports.AddPlaformErrors = exports.PACKAGE_PLACEHOLDER_NAME = exports.AndroidBuildDefaults = exports.Hooks = exports.SubscribeForNewsletterMessages = exports.PROGRESS_PRIVACY_POLICY_URL = exports.XcodeDeprecationStringFormat = exports.MacOSDeprecationStringFormat = exports.MacOSVersions = exports.AssetConstants = exports.CLI_RESOURCES_DIR_NAME = exports.NATIVESCRIPT_PROPS_INTERNAL_DELIMITER = exports.AnalyticsEventLabelDelimiter = exports.DebugCommandErrors = exports.WEBPACK_COMPILATION_COMPLETE = exports.PREPARE_READY_EVENT_NAME = exports.INITIAL_SYNC_EVENT_NAME = exports.FILES_CHANGE_EVENT_NAME = exports.CACACHE_DIRECTORY_NAME = exports.ANDROID_APP_BUNDLE_SIGNING_ERROR_MESSAGE = exports.ANDROID_RELEASE_BUILD_ERROR_MESSAGE = exports.POST_INSTALL_COMMAND_NAME = exports.INSPECTOR_CACHE_DIRNAME = exports.VERSION_STRING = exports.DEBUGGER_DETACHED_EVENT_NAME = exports.DEBUGGER_ATTACHED_EVENT_NAME = exports.USER_INTERACTION_NEEDED_EVENT_NAME = exports.CONNECTION_ERROR_EVENT_NAME = exports.BUILD_OUTPUT_EVENT_NAME = exports.ProjectTypes = exports.JsFlavorName = exports.TsFlavorName = exports.SvelteFlavorName = exports.ReactFlavorName = exports.VueFlavorName = exports.NgFlavorName = exports.SVELTE_NAME = exports.REACT_NAME = exports.TYPESCRIPT_NAME = exports.JAVASCRIPT_NAME = exports.ANGULAR_NAME = exports.VUE_NAME = exports.ItunesConnectApplicationTypes = exports.androidAppResourcesFolderName = exports.iOSAppResourcesFolderName = exports.ITMSConstants = exports.ANALYTICS_LOCAL_TEMPLATE_PREFIX = exports.RESERVED_TEMPLATE_NAMES = exports.ReleaseType = exports.SaveOptions = exports.TemplatesV2PackageJsonKeysToRemove = exports.PackageJsonKeysToKeep = exports.LiveSyncTrackActionNames = exports.PackageVersion = exports.MetadataFilteringConstants = exports.IOS_WATCHAPP_EXTENSION_FOLDER = exports.IOS_WATCHAPP_FOLDER = exports.NATIVE_EXTENSION_FOLDER = exports.APPLICATION_RESPONSE_TIMEOUT_SECONDS = exports.NATIVE_SOURCE_FOLDER = exports.TNS_NATIVE_SOURCE_GROUP_NAME = exports.HASHES_FILE_NAME = exports.APKS_EXTENSION_NAME = exports.AAB_EXTENSION_NAME = exports.APK_EXTENSION_NAME = exports.DEPENDENCIES_JSON_NAME = exports.CONFIG_FILE_NAME_TS = exports.CONFIG_FILE_NAME_JS = exports.CONFIG_FILE_NAME_DISPLAY = exports.CONFIG_NS_APP_ENTRY = exports.CONFIG_NS_APP_RESOURCES_ENTRY = exports.CONFIG_NS_FILE_NAME = exports.RESOURCES_DIR = exports.BUNDLE_DIR = exports.APK_DIR = exports.OUTPUTS_DIR = exports.BUILD_DIR = exports.BUILD_XCCONFIG_FILE_NAME = exports.INCLUDE_GRADLE_NAME = exports.INFO_PLIST_FILE_NAME = exports.APP_GRADLE_FILE_NAME = exports.MANIFEST_FILE_NAME = exports.ANDROID_ANALYTICS_DATA_FILE = exports.ANDROID_ANALYTICS_DATA_DIR = exports.FONTS_DIR = exports.ASSETS_DIR = exports.MAIN_DIR = exports.SRC_DIR = exports.AWAIT_NOTIFICATION_TIMEOUT_SECONDS = exports.CODE_SIGN_ENTITLEMENTS = exports.LIB_DIR_NAME = exports.KARMA_CONFIG_NAME = exports.TSCCONFIG_TNS_JSON_NAME = exports.WEBPACK_CONFIG_NAME = exports.HOOKS_DIR_NAME = exports.PLATFORMS_DIR_NAME = exports.XML_FILE_EXTENSION = exports.LIVESYNC_EXCLUDED_FILE_PATTERNS = exports.TEST_RUNNER_NAME = exports.TESTING_FRAMEWORKS = exports.LIVESYNC_EXCLUDED_DIRECTORIES = exports.DEFAULT_APP_IDENTIFIER_PREFIX = exports.NODE_MODULE_CACHE_PATH_KEY_NAME = exports.ANDROID_DEVICE_APP_ROOT_TEMPLATE = exports.PACKAGE_LOCK_JSON_FILE_NAME = exports.PACKAGE_JSON_FILE_NAME = exports.SCOPED_IOS_RUNTIME_NAME = exports.SCOPED_ANDROID_RUNTIME_NAME = exports.TNS_IOS_RUNTIME_NAME = exports.TNS_ANDROID_RUNTIME_NAME = exports.UI_MOBILE_BASE_NAME = exports.TNS_CORE_MODULES_WIDGETS_NAME = exports.WEBPACK_PLUGIN_NAME = exports.SCOPED_TNS_CORE_THEME_NAME = exports.TNS_CORE_THEME_NAME = exports.SCOPED_TNS_CORE_MODULES = exports.TNS_CORE_MODULES_NAME = exports.TNS_MODULES_FOLDER_NAME = exports.NODE_MODULES_FOLDER_NAME = exports.NATIVESCRIPT_KEY_NAME = exports.NS_BASE_PODFILE = exports.PROJECT_FRAMEWORK_FOLDER_NAME = exports.APP_RESOURCES_FOLDER_NAME = exports.APP_FOLDER_NAME = void 0;
require("colors");
const preview_app_constants_1 = require("./services/livesync/playground/preview-app-constants");
const path_1 = require("path");
exports.APP_FOLDER_NAME = "app";
exports.APP_RESOURCES_FOLDER_NAME = "App_Resources";
exports.PROJECT_FRAMEWORK_FOLDER_NAME = "framework";
exports.NS_BASE_PODFILE = "NSPodfileBase";
exports.NATIVESCRIPT_KEY_NAME = "nativescript";
exports.NODE_MODULES_FOLDER_NAME = "node_modules";
exports.TNS_MODULES_FOLDER_NAME = "tns_modules";
exports.TNS_CORE_MODULES_NAME = "tns-core-modules";
exports.SCOPED_TNS_CORE_MODULES = "@nativescript/core";
exports.TNS_CORE_THEME_NAME = "nativescript-theme-core";
exports.SCOPED_TNS_CORE_THEME_NAME = "@nativescript/theme";
exports.WEBPACK_PLUGIN_NAME = "@nativescript/webpack";
exports.TNS_CORE_MODULES_WIDGETS_NAME = "tns-core-modules-widgets";
exports.UI_MOBILE_BASE_NAME = "@nativescript/ui-mobile-base";
exports.TNS_ANDROID_RUNTIME_NAME = "tns-android";
exports.TNS_IOS_RUNTIME_NAME = "tns-ios";
exports.SCOPED_ANDROID_RUNTIME_NAME = "@nativescript/android";
exports.SCOPED_IOS_RUNTIME_NAME = "@nativescript/ios";
exports.PACKAGE_JSON_FILE_NAME = "package.json";
exports.PACKAGE_LOCK_JSON_FILE_NAME = "package-lock.json";
exports.ANDROID_DEVICE_APP_ROOT_TEMPLATE = `/data/data/%s/files`;
exports.NODE_MODULE_CACHE_PATH_KEY_NAME = "node-modules-cache-path";
exports.DEFAULT_APP_IDENTIFIER_PREFIX = "org.nativescript";
exports.LIVESYNC_EXCLUDED_DIRECTORIES = ["app_resources"];
exports.TESTING_FRAMEWORKS = ["jasmine", "mocha", "qunit"];
exports.TEST_RUNNER_NAME = "@nativescript/unit-test-runner";
exports.LIVESYNC_EXCLUDED_FILE_PATTERNS = ["**/*.js.map", "**/*.ts"];
exports.XML_FILE_EXTENSION = ".xml";
exports.PLATFORMS_DIR_NAME = "platforms";
exports.HOOKS_DIR_NAME = "hooks";
exports.WEBPACK_CONFIG_NAME = "webpack.config.js";
exports.TSCCONFIG_TNS_JSON_NAME = "tsconfig.tns.json";
exports.KARMA_CONFIG_NAME = "karma.conf.js";
exports.LIB_DIR_NAME = "lib";
exports.CODE_SIGN_ENTITLEMENTS = "CODE_SIGN_ENTITLEMENTS";
exports.AWAIT_NOTIFICATION_TIMEOUT_SECONDS = 9;
exports.SRC_DIR = "src";
exports.MAIN_DIR = "main";
exports.ASSETS_DIR = "assets";
exports.FONTS_DIR = "fonts";
exports.ANDROID_ANALYTICS_DATA_DIR = "analytics";
exports.ANDROID_ANALYTICS_DATA_FILE = "build-statistics.json";
exports.MANIFEST_FILE_NAME = "AndroidManifest.xml";
exports.APP_GRADLE_FILE_NAME = "app.gradle";
exports.INFO_PLIST_FILE_NAME = "Info.plist";
exports.INCLUDE_GRADLE_NAME = "include.gradle";
exports.BUILD_XCCONFIG_FILE_NAME = "build.xcconfig";
exports.BUILD_DIR = "build";
exports.OUTPUTS_DIR = "outputs";
exports.APK_DIR = "apk";
exports.BUNDLE_DIR = "bundle";
exports.RESOURCES_DIR = "res";
exports.CONFIG_NS_FILE_NAME = "nsconfig.json";
exports.CONFIG_NS_APP_RESOURCES_ENTRY = "appResourcesPath";
exports.CONFIG_NS_APP_ENTRY = "appPath";
exports.CONFIG_FILE_NAME_DISPLAY = "nativescript.config.(js|ts)";
exports.CONFIG_FILE_NAME_JS = "nativescript.config.js";
exports.CONFIG_FILE_NAME_TS = "nativescript.config.ts";
exports.DEPENDENCIES_JSON_NAME = "dependencies.json";
exports.APK_EXTENSION_NAME = ".apk";
exports.AAB_EXTENSION_NAME = ".aab";
exports.APKS_EXTENSION_NAME = ".apks";
exports.HASHES_FILE_NAME = ".nshashes";
exports.TNS_NATIVE_SOURCE_GROUP_NAME = "TNSNativeSource";
exports.NATIVE_SOURCE_FOLDER = "src";
exports.APPLICATION_RESPONSE_TIMEOUT_SECONDS = 60;
exports.NATIVE_EXTENSION_FOLDER = "extensions";
exports.IOS_WATCHAPP_FOLDER = "watchapp";
exports.IOS_WATCHAPP_EXTENSION_FOLDER = "watchextension";
class MetadataFilteringConstants {
}
exports.MetadataFilteringConstants = MetadataFilteringConstants;
MetadataFilteringConstants.NATIVE_API_USAGE_FILE_NAME = "native-api-usage.json";
MetadataFilteringConstants.WHITELIST_FILE_NAME = "whitelist.mdg";
MetadataFilteringConstants.BLACKLIST_FILE_NAME = "blacklist.mdg";
class PackageVersion {
}
exports.PackageVersion = PackageVersion;
PackageVersion.NEXT = "next";
PackageVersion.LATEST = "latest";
PackageVersion.RC = "rc";
const liveSyncOperation = "LiveSync Operation";
class LiveSyncTrackActionNames {
}
exports.LiveSyncTrackActionNames = LiveSyncTrackActionNames;
LiveSyncTrackActionNames.LIVESYNC_OPERATION = liveSyncOperation;
LiveSyncTrackActionNames.LIVESYNC_OPERATION_BUILD = `${liveSyncOperation} - Build`;
LiveSyncTrackActionNames.DEVICE_INFO = `Device Info for ${liveSyncOperation}`;
exports.PackageJsonKeysToKeep = [
    "name",
    "main",
    "android",
    "version",
    "pluginsData",
];
exports.TemplatesV2PackageJsonKeysToRemove = [
    "name",
    "version",
    "displayName",
    "templateType",
    "author",
    "keywords",
    "homepage",
    "bugs",
];
class SaveOptions {
}
exports.SaveOptions = SaveOptions;
SaveOptions.PRODUCTION = "save";
SaveOptions.DEV = "save-dev";
SaveOptions.OPTIONAL = "save-optional";
SaveOptions.EXACT = "save-exact";
class ReleaseType {
}
exports.ReleaseType = ReleaseType;
ReleaseType.MAJOR = "major";
ReleaseType.PREMAJOR = "premajor";
ReleaseType.MINOR = "minor";
ReleaseType.PREMINOR = "preminor";
ReleaseType.PATCH = "patch";
ReleaseType.PREPATCH = "prepatch";
ReleaseType.PRERELEASE = "prerelease";
exports.RESERVED_TEMPLATE_NAMES = {
    default: "@nativescript/template-hello-world",
    javascript: "@nativescript/template-hello-world",
    tsc: "@nativescript/template-hello-world-ts",
    vue: "@nativescript/template-blank-vue",
    typescript: "@nativescript/template-hello-world-ts",
    ng: "@nativescript/template-hello-world-ng",
    angular: "@nativescript/template-hello-world-ng",
    react: "@nativescript/template-blank-react",
    reactjs: "@nativescript/template-blank-react",
    svelte: "@nativescript/template-blank-svelte",
};
exports.ANALYTICS_LOCAL_TEMPLATE_PREFIX = "localTemplate_";
class ITMSConstants {
}
exports.ITMSConstants = ITMSConstants;
ITMSConstants.ApplicationMetadataFile = "metadata.xml";
ITMSConstants.VerboseLoggingLevels = {
    Informational: "informational",
    Verbose: "detailed",
};
ITMSConstants.iTMSExecutableName = "iTMSTransporter";
ITMSConstants.iTMSDirectoryName = "itms";
class ItunesConnectApplicationTypesClass {
    constructor() {
        this.iOS = "iOS App";
        this.Mac = "Mac OS X App";
    }
}
exports.iOSAppResourcesFolderName = "iOS";
exports.androidAppResourcesFolderName = "Android";
exports.ItunesConnectApplicationTypes = new ItunesConnectApplicationTypesClass();
exports.VUE_NAME = "vue";
exports.ANGULAR_NAME = "angular";
exports.JAVASCRIPT_NAME = "javascript";
exports.TYPESCRIPT_NAME = "typescript";
exports.REACT_NAME = "react";
exports.SVELTE_NAME = "svelte";
exports.NgFlavorName = "Angular";
exports.VueFlavorName = "Vue.js";
exports.ReactFlavorName = "React";
exports.SvelteFlavorName = "Svelte";
exports.TsFlavorName = "Plain TypeScript";
exports.JsFlavorName = "Plain JavaScript";
class ProjectTypes {
}
exports.ProjectTypes = ProjectTypes;
ProjectTypes.NgFlavorName = exports.NgFlavorName;
ProjectTypes.VueFlavorName = exports.VueFlavorName;
ProjectTypes.TsFlavorName = "Pure TypeScript";
ProjectTypes.JsFlavorName = "Pure JavaScript";
ProjectTypes.ReactFlavorName = "React";
ProjectTypes.SvelteFlavorName = "Svelte";
exports.BUILD_OUTPUT_EVENT_NAME = "buildOutput";
exports.CONNECTION_ERROR_EVENT_NAME = "connectionError";
exports.USER_INTERACTION_NEEDED_EVENT_NAME = "userInteractionNeeded";
exports.DEBUGGER_ATTACHED_EVENT_NAME = "debuggerAttached";
exports.DEBUGGER_DETACHED_EVENT_NAME = "debuggerDetached";
exports.VERSION_STRING = "version";
exports.INSPECTOR_CACHE_DIRNAME = "ios-inspector";
exports.POST_INSTALL_COMMAND_NAME = "post-install-cli";
const ANDROID_SIGNING_REQUIRED_MESSAGE = "you need to specify all --key-store-* options.";
exports.ANDROID_RELEASE_BUILD_ERROR_MESSAGE = `When producing a release build, ${ANDROID_SIGNING_REQUIRED_MESSAGE}`;
exports.ANDROID_APP_BUNDLE_SIGNING_ERROR_MESSAGE = `When producing Android App Bundle, ${ANDROID_SIGNING_REQUIRED_MESSAGE}`;
exports.CACACHE_DIRECTORY_NAME = "_cacache";
exports.FILES_CHANGE_EVENT_NAME = "filesChangeEvent";
exports.INITIAL_SYNC_EVENT_NAME = "initialSyncEvent";
exports.PREPARE_READY_EVENT_NAME = "prepareReadyEvent";
exports.WEBPACK_COMPILATION_COMPLETE = "webpackCompilationComplete";
class DebugCommandErrors {
}
exports.DebugCommandErrors = DebugCommandErrors;
DebugCommandErrors.UNABLE_TO_USE_FOR_DEVICE_AND_EMULATOR = "The options --for-device and --emulator cannot be used simultaneously. Please use only one of them.";
DebugCommandErrors.NO_DEVICES_EMULATORS_FOUND_FOR_OPTIONS = "Unable to find device or emulator for specified options.";
DebugCommandErrors.UNSUPPORTED_DEVICE_OS_FOR_DEBUGGING = "Unsupported device OS for debugging";
exports.AnalyticsEventLabelDelimiter = "__";
exports.NATIVESCRIPT_PROPS_INTERNAL_DELIMITER = "**|__**";
exports.CLI_RESOURCES_DIR_NAME = "resources";
class AssetConstants {
}
exports.AssetConstants = AssetConstants;
AssetConstants.iOSResourcesFileName = "Contents.json";
AssetConstants.iOSAssetsDirName = "Assets.xcassets";
AssetConstants.iOSIconsDirName = "AppIcon.appiconset";
AssetConstants.iOSSplashBackgroundsDirName = "LaunchScreen.AspectFill.imageset";
AssetConstants.iOSSplashCenterImagesDirName = "LaunchScreen.Center.imageset";
AssetConstants.iOSSplashImagesDirName = "LaunchImage.launchimage";
AssetConstants.imageDefinitionsFileName = "image-definitions.json";
AssetConstants.assets = "assets";
AssetConstants.sizeDelimiter = "x";
AssetConstants.defaultScale = 1;
AssetConstants.defaultOverlayImageScale = 0.8;
class MacOSVersions {
}
exports.MacOSVersions = MacOSVersions;
MacOSVersions.Sierra = "10.12";
MacOSVersions.HighSierra = "10.13";
MacOSVersions.Mojave = "10.14";
MacOSVersions.Catalina = "10.15";
exports.MacOSDeprecationStringFormat = "NativeScript does not support macOS %s and some functionality may not work. Please, upgrade to the latest macOS version.";
exports.XcodeDeprecationStringFormat = "The current Xcode version %s will not be supported in the next release of NativeScript. Consider updating your Xcode to latest official version.";
exports.PROGRESS_PRIVACY_POLICY_URL = "https://www.progress.com/legal/privacy-policy";
class SubscribeForNewsletterMessages {
}
exports.SubscribeForNewsletterMessages = SubscribeForNewsletterMessages;
SubscribeForNewsletterMessages.AgreeToReceiveEmailMsg = "I agree".green.bold +
    " to receive email communications in the form of the NativeScript Newsletter. Consent may be withdrawn at any time.";
SubscribeForNewsletterMessages.ReviewPrivacyPolicyMsg = `You can review the Privacy Policy at \`${exports.PROGRESS_PRIVACY_POLICY_URL}\``;
SubscribeForNewsletterMessages.PromptMsg = "Input your e-mail address to agree".green +
    " or " +
    "leave empty to decline".red.bold +
    ":";
class Hooks {
}
exports.Hooks = Hooks;
Hooks.createProject = "createProject";
class AndroidBuildDefaults {
}
exports.AndroidBuildDefaults = AndroidBuildDefaults;
AndroidBuildDefaults.GradleVersion = "4.4";
AndroidBuildDefaults.GradleAndroidPluginVersion = "4.5.6";
exports.PACKAGE_PLACEHOLDER_NAME = "__PACKAGE__";
class AddPlaformErrors {
}
exports.AddPlaformErrors = AddPlaformErrors;
AddPlaformErrors.InvalidFrameworkPathStringFormat = "Invalid frameworkPath: %s. Please ensure the specified frameworkPath exists.";
exports.PLUGIN_BUILD_DATA_FILENAME = "plugin-data.json";
exports.PLUGINS_BUILD_DATA_FILENAME = ".ns-plugins-build-data.json";
exports.PODFILE_NAME = "Podfile";
class IosProjectConstants {
}
exports.IosProjectConstants = IosProjectConstants;
IosProjectConstants.XcodeProjExtName = ".xcodeproj";
IosProjectConstants.XcodeSchemeExtName = ".xcscheme";
class BundleValidatorMessages {
}
exports.BundleValidatorMessages = BundleValidatorMessages;
BundleValidatorMessages.MissingBundlePlugin = "Passing --bundle requires a bundling plugin. No bundling plugin found or the specified bundling plugin is invalid.";
class AndroidBundleValidatorMessages {
}
exports.AndroidBundleValidatorMessages = AndroidBundleValidatorMessages;
AndroidBundleValidatorMessages.AAB_NOT_SUPPORTED_BY_COMMNAND_MESSAGE = "This command does not support --aab (Android App Bundle) parameter.";
AndroidBundleValidatorMessages.NOT_SUPPORTED_RUNTIME_VERSION = "Android App Bundle (--aab) option requires NativeScript Android Runtime (tns-android) version %s and above.";
AndroidBundleValidatorMessages.NOT_SUPPORTED_ANDROID_VERSION = "Cannot use the Android App Bundle (--aab) option on device '%s' with Android '%s'. The --aab options is supported on Android '%s' and above.";
class AndroidAppBundleMessages {
}
exports.AndroidAppBundleMessages = AndroidAppBundleMessages;
AndroidAppBundleMessages.ANDROID_APP_BUNDLE_DOCS_MESSAGE = "What is Android App Bundle: https://docs.nativescript.org/tooling/publishing/android-app-bundle";
AndroidAppBundleMessages.ANDROID_APP_BUNDLE_PUBLISH_DOCS_MESSAGE = "How to use Android App Bundle for publishing: https://docs.nativescript.org/tooling/publishing/publishing-android-apps#android-app-bundle";
exports.RunOnDeviceEvents = {
    runOnDeviceStopped: "runOnDeviceStopped",
    runOnDeviceError: "runOnDeviceError",
    previewAppLiveSyncError: preview_app_constants_1.PreviewAppLiveSyncEvents.PREVIEW_APP_LIVE_SYNC_ERROR,
    runOnDeviceExecuted: "runOnDeviceExecuted",
    runOnDeviceStarted: "runOnDeviceStarted",
    runOnDeviceNotification: "notify",
};
var IOSDeviceTargets;
(function (IOSDeviceTargets) {
    IOSDeviceTargets["ios"] = "1,2";
    IOSDeviceTargets[IOSDeviceTargets["watchos"] = 4] = "watchos";
})(IOSDeviceTargets = exports.IOSDeviceTargets || (exports.IOSDeviceTargets = {}));
var IOSNativeTargetProductTypes;
(function (IOSNativeTargetProductTypes) {
    IOSNativeTargetProductTypes["watchApp"] = "com.apple.product-type.application.watchapp2";
    IOSNativeTargetProductTypes["watchExtension"] = "com.apple.product-type.watchkit2-extension";
    IOSNativeTargetProductTypes["appExtension"] = "com.apple.product-type.app-extension";
})(IOSNativeTargetProductTypes = exports.IOSNativeTargetProductTypes || (exports.IOSNativeTargetProductTypes = {}));
var IOSNativeTargetTypes;
(function (IOSNativeTargetTypes) {
    IOSNativeTargetTypes["watchApp"] = "watch_app";
    IOSNativeTargetTypes["watchExtension"] = "watch_extension";
    IOSNativeTargetTypes["appExtension"] = "app_extension";
})(IOSNativeTargetTypes = exports.IOSNativeTargetTypes || (exports.IOSNativeTargetTypes = {}));
const pathToLoggerAppendersDir = path_1.join(__dirname, "common", "logger", "appenders");
exports.LoggerAppenders = {
    emitAppender: path_1.join(pathToLoggerAppendersDir, "emit-appender"),
    cliAppender: path_1.join(pathToLoggerAppendersDir, "cli-appender"),
};
var DeviceConnectionType;
(function (DeviceConnectionType) {
    DeviceConnectionType[DeviceConnectionType["Unknown"] = 0] = "Unknown";
    DeviceConnectionType[DeviceConnectionType["USB"] = 1] = "USB";
    DeviceConnectionType[DeviceConnectionType["Wifi"] = 2] = "Wifi";
    DeviceConnectionType[DeviceConnectionType["Local"] = 10] = "Local";
})(DeviceConnectionType = exports.DeviceConnectionType || (exports.DeviceConnectionType = {}));
var LoggerLevel;
(function (LoggerLevel) {
    LoggerLevel["ALL"] = "ALL";
    LoggerLevel["TRACE"] = "TRACE";
    LoggerLevel["DEBUG"] = "DEBUG";
    LoggerLevel["INFO"] = "INFO";
    LoggerLevel["WARN"] = "WARN";
    LoggerLevel["ERROR"] = "ERROR";
    LoggerLevel["FATAL"] = "FATAL";
    LoggerLevel["MARK"] = "MARK";
    LoggerLevel["OFF"] = "OFF";
})(LoggerLevel = exports.LoggerLevel || (exports.LoggerLevel = {}));
var LoggerConfigData;
(function (LoggerConfigData) {
    LoggerConfigData["useStderr"] = "useStderr";
    LoggerConfigData["wrapMessageWithBorders"] = "wrapMessageWithBorders";
    LoggerConfigData["skipNewLine"] = "skipNewLine";
})(LoggerConfigData = exports.LoggerConfigData || (exports.LoggerConfigData = {}));
exports.EMIT_APPENDER_EVENT_NAME = "logData";
var PackageManagers;
(function (PackageManagers) {
    PackageManagers["npm"] = "npm";
    PackageManagers["pnpm"] = "pnpm";
    PackageManagers["yarn"] = "yarn";
})(PackageManagers = exports.PackageManagers || (exports.PackageManagers = {}));
